Subject: Re: [ippm] Fwd: New Version Notification for draft-mirsky-ippm-hybrid-two-step-07.txt

From: Greg Mirsky <[email-masked]>
Date: Sun, 16 May 2021 19:22:10 -0700

Hi Frank,
apologies for the delay. I've prepared the update and hope it follows your
suggestion:
OLD TEXT:
   The HTS method uses the HTS Follow-up packet, referred to as the
   follow-up packet, to collect measurement and network state data from
   the nodes.  The node that creates the HTS Trigger also generates the
   HTS Follow-up packet.  The follow-up packet contains characteristic
   information, copied from the trigger packet, sufficient for
   participating HTS nodes to associate it with the original packet.
   The exact composition of the characteristic information is specific
   for each transport network, and its definition is outside the scope
   of this document.

NEW TEXT:
   The HTS method uses the HTS Follow-up packet, referred to as the
   follow-up packet, to collect measurement and network state data from
   the nodes.  The node that creates the HTS Trigger also generates the
   HTS Follow-up packet.  The follow-up packet contains characteristic
   information, copied from the trigger packet, sufficient for
   participating HTS nodes to associate it with the original packet.  As
   the follow-up packet is expected to traverse the same sequence of
   nodes, one element of the characteristic information is the
   information that determines the path in the data plane.  For example,
   in a segment routing domain [RFC8402], a list of segment identifiers
   of the trigger packet is applied to the follow-up packet.  And in the
   case of the service function chain based on the Network Service
   Header [RFC8300], the Base Header and Service Path Header of the
   trigger packet will be applied to the follow-up packet.  Also, when
   HTS is used to collect the telemetry information in an IOAM domain,
   the IOAM trace option header [I-D.ietf-ippm-ioam-data] of the trigger
   packet is applied in the follow-up packet.  The follow-up packet also
   uses the same network information used to load-balance flows in
   equal-cost multipath (ECMP) as the trigger packet, e.g., IPv6 Flow
   Label [RFC6437] or an entropy label [RFC6790].  The exact composition
   of the characteristic information is specific for each transport
   network, and its definition is outside the scope of this document.

I much appreciate your feedback.

Regards,
Greg

On Thu, Feb 25, 2021 at 8:06 AM Frank Brockners (fbrockne) <
[email-masked]> wrote:

> Hi Greg,
>
>
>
> Per the discussion in the last IOAM DT meeting: One particular aspect that
> your updated version (thanks for that) does not yet cover is how the “HTS
> trigger packet” and the “HTS follow-up packet” would be associated to each
> other. Section 4 mentions that “The exact composition of the characteristic
> information is specific for each transport network, and its definition is
> outside the scope of this document.”, still it would be great to have at
> least one or two examples on how this would be achieved. Would you mind
> outlining an example or two?
>
>
>
> Thanks, Frank
>
>
>
> *From:* ippm <[email-masked]> *On Behalf Of * Greg Mirsky
> *Sent:* Samstag, 5. Dezember 2020 21:39
> *To:* IETF IPPM WG <[email-masked]>; IPPM Chairs <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* [ippm] Fwd: New Version Notification for
> draft-mirsky-ippm-hybrid-two-step-07.txt
>
>
>
> Dear All,
>
> the new version of the Hybrid Two-Step draft introduces the Authentication
> sub-TLV and defines its use in protecting the integrity of the data
> collected from each node. the Authentication sub-TLV may be added to the
> Telemetry Data TLV in which the node copies telemetry information as
> specified in the Trigger packet. The Telemetry Data TLV, in turn, collected
> in the HTS Follow-up packet(s).
>
> Also added is the request to allocate the HTS option from the IOAM
> Option-Type registry.
>
> Of course, some editorial changes.
>
> The authors believe that the draft provides a sufficiently detailed
> specification of the HTS protocol which is complementary to IOAM Trace
> Options, IOAM Direct Export, and Postcard-Based Telemetry methods of
> collecting the telemetry information. We would greatly appreciate the
> consideration of its adoption by the IPPM WG.
>
>
>
> Regards,
>
> Greg
>
> ---------- Forwarded message ---------
> From: <[email-masked]>
> Date: Fri, Dec 4, 2020 at 7:21 PM
> Subject: New Version Notification for
> draft-mirsky-ippm-hybrid-two-step-07.txt
> To: Haoyu Song <[email-masked]>, Wang Lingqiang <
> [email-masked]>, Greg Mirsky <[email-masked]>, Guo Zhui
> <[email-masked]>
>
>
>
>
> A new version of I-D, draft-mirsky-ippm-hybrid-two-step-07.txt
> has been successfully submitted by Greg Mirsky and posted to the
> IETF repository.
>
> Name:           draft-mirsky-ippm-hybrid-two-step
> Revision:       07
> Title:          Hybrid Two-Step Performance Measurement Method
> Document date:  2020-12-04
> Group:          Individual Submission
> Pages:          17
> URL:
> https://www.ietf.org/archive/id/draft-mirsky-ippm-hybrid-two-step-07.txt
> Status:
> https://datatracker.ietf.org/doc/draft-mirsky-ippm-hybrid-two-step/
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-mirsky-ippm-hybrid-two-step
> Htmlized:
> https://tools.ietf.org/html/draft-mirsky-ippm-hybrid-two-step-07
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-mirsky-ippm-hybrid-two-step-07
>
> Abstract:
>    Development of, and advancements in, automation of network operations
>    brought new requirements for measurement methodology.  Among them is
>    the ability to collect instant network state as the packet being
>    processed by the networking elements along its path through the
>    domain.  This document introduces a new hybrid measurement method,
>    referred to as hybrid two-step, as it separates the act of measuring
>    and/or calculating the performance metric from the act of collecting
>    and transporting network state.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>

---

From: "Frank Brockners (fbrockne)" <[email-masked]>
Date: Mon, 17 May 2021 16:07:35 +0000

Hi Greg,

Thanks for the follow-up. The specific examples for SR and SFC really help the reader IMHO to picture how to get things implemented. Thanks for expanding on the topic.

Cheers, Frank

From: Greg Mirsky <[email-masked]>
Sent: Montag, 17. Mai 2021 04:22
To: Frank Brockners (fbrockne) <[email-masked]>
Cc: IETF IPPM WG <[email-masked]>; [email-masked]
Subject: Re: [ippm] Fwd: New Version Notification for draft-mirsky-ippm-hybrid-two-step-07.txt

Hi Frank,
apologies for the delay. I've prepared the update and hope it follows your suggestion:
OLD TEXT:

NEW TEXT:

Regards,
Greg

On Thu, Feb 25, 2021 at 8:06 AM Frank Brockners (fbrockne) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Greg,

Per the discussion in the last IOAM DT meeting: One particular aspect that your updated version (thanks for that) does not yet cover is how the “HTS trigger packet” and the “HTS follow-up packet” would be associated to each other. Section 4 mentions that “The exact composition of the characteristic information is specific for each transport network, and its definition is outside the scope of this document.”, still it would be great to have at least one or two examples on how this would be achieved. Would you mind outlining an example or two?

Thanks, Frank

From: ippm <[email-masked]<mailto:[email-masked]>> On Behalf Of Greg Mirsky
Sent: Samstag, 5. Dezember 2020 21:39
To: IETF IPPM WG <[email-masked]<mailto:[email-masked]>>; IPPM Chairs <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [ippm] Fwd: New Version Notification for draft-mirsky-ippm-hybrid-two-step-07.txt

Dear All,
the new version of the Hybrid Two-Step draft introduces the Authentication sub-TLV and defines its use in protecting the integrity of the data collected from each node. the Authentication sub-TLV may be added to the Telemetry Data TLV in which the node copies telemetry information as specified in the Trigger packet. The Telemetry Data TLV, in turn, collected in the HTS Follow-up packet(s).
Also added is the request to allocate the HTS option from the IOAM Option-Type registry.
Of course, some editorial changes.
The authors believe that the draft provides a sufficiently detailed specification of the HTS protocol which is complementary to IOAM Trace Options, IOAM Direct Export, and Postcard-Based Telemetry methods of collecting the telemetry information. We would greatly appreciate the consideration of its adoption by the IPPM WG.

Regards,
Greg
---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Fri, Dec 4, 2020 at 7:21 PM
Subject: New Version Notification for draft-mirsky-ippm-hybrid-two-step-07.txt
To: Haoyu Song <[email-masked]<mailto:[email-masked]>>, Wang Lingqiang <[email-masked]<mailto:[email-masked]>>, Greg Mirsky <[email-masked]<mailto:[email-masked]>>, Guo Zhui <[email-masked]<mailto:[email-masked]>>

Name:           draft-mirsky-ippm-hybrid-two-step
Revision:       07
Title:          Hybrid Two-Step Performance Measurement Method
Document date:  2020-12-04
Group:          Individual Submission
Pages:          17
URL:            https://www.ietf.org/archive/id/draft-mirsky-ippm-hybrid-two-step-07.txt
Status:         https://datatracker.ietf.org/doc/draft-mirsky-ippm-hybrid-two-step/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-mirsky-ippm-hybrid-two-step
Htmlized:       https://tools.ietf.org/html/draft-mirsky-ippm-hybrid-two-step-07
Diff:           https://www.ietf.org/rfcdiff?url2=draft-mirsky-ippm-hybrid-two-step-07

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

The IETF Secretariat